
#   package-load.tcl   -  Common packages used by MIDAS

proc init-packages_8.4 {} {init-packages_8.5}

proc init-packages_8.5 {} {
    global env

#    puts stdout "Setting up access for Common packages"
    
#    TclX
     set env(TCLX_LIBRARY) [file join $env(MIDASBASE) TclTkpackages tclx 8.4 tcl]
     do_load-package tclx 8.4

#    TclLib  & Tklib
     do_load-package tcllib 1.11
     do_load-package tklib 0.5

#    SOAP/XML
     do_load-package tclsoap 1.6.7
     do_load-package Tcldom 2.6
     do_load-package Tclxml 2.6

}

proc do_load-package {package version} {
    global env 

    set dir [file join $env(MIDASBASE) TclTkpackages $package $version]
    if {![file exists $dir] || ![file isdirectory $dir]}  then {return}

    source [file join $dir pkgIndex.tcl]
#    puts stdout "package $package available"
}

