
puts "custom startup for LyrTech hardware"

   Setting BGColor "BlanchedAlmond"
   Setting TextColor "red"

  Setting Option1Name STFC
  Setting Option1URL  "stfc.ac.uk"
  Setting Option1Image stfc.jpg


puts "This file is config/TclHttpd/startup.tcl"
puts "It should be customised with commands to load and run the Web services you require."
puts "Look in the online documentation and the Samples directory for examples of these commands"

global MessageLoggerServerHost
set MessageLoggerServerHost localhost

global MIDAS_MessageLoggerServer_UseElog MIDAS_MessageLoggerServer_UseFile MIDAS_MessageLoggerServer_ElogCmd

set MIDAS_MessageLoggerServer_UseFile 0     ;#   NO write to /MIDAS/log
set MIDAS_MessageLoggerServer_UseELog 1     ;#    send to ELog
set MIDAS_MessageLoggerServer_ElogCmd [file join $env(MIDASBASE) LyrTech Elog Elog.cmd]

   package require MessageLoggerServer

   package require TimeServer

   package require NetVarServer
   package require SigTaskServer

   package require VHSADCServer

    upvar #0 TDRIAccessServer_Xport Xport
    set Xport 192.168.0.4:0

    package require TDRIAccessServer

  package require DataAcquisitionControlServer

    package require DataBaseAccessServer

  package require TapeServer

