

#    MIDAS Access Client  for the  LaserControl service

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

global LaserControlHost LaserControlPort

if {[info exists LaserControlHost] == 0} then {set LaserControlHost localhost}
if {[info exists LaserControlPort] == 0} then {set LaserControlPort 8015}

variable uri "urn:LaserControl"
variable proxy "http://$LaserControlHost:$LaserControlPort/LaserControl"


SOAP::create LaserControlClient__ServerVerbose -proxy $proxy -uri $uri -timeout 1000 \
     -name ServerVerbose \
     -params {opt int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create LaserControlClient__Laser-Request -proxy $proxy -uri $uri -timeout 10000 \
     -name Laser-Request \
     -params {req string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create LaserControlClient__Laser-Start -proxy $proxy -uri $uri -timeout 10000 \
     -name Laser-Start \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create LaserControlClient__Laser-Stop_Now -proxy $proxy -uri $uri -timeout 10000 \
     -name Laser-Stop_Now \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply


package provide LaserControlClient 1.0
